
<p style="text-align: center;">
  <img src="https://github.com/niendo1/ImapNotes3/blob/master/fastlane/metadata/android/en-US/images/featureGraphic.png" alt="Logo"/>
</p>
<p style="text-align: center;">
<a href="https://github.com/niendo1/ImapNotes3/releases"><img alt="GitHub Release ImapNote3" src="https://img.shields.io/github/v/release/niendo1/ImapNotes3"></a>
<a href="https://github.com/niendo1/richeditor-android"><img alt="GitHub Release RichEditor" src="https://img.shields.io/github/v/release/niendo1/richeditor-android?label=RichEditor"></a>
<a href="https://www.gnu.org/licenses/gpl-3.0"><img src="https://img.shields.io/badge/License-GPLv3-blue.svg" alt="License_GPL_v3"/></a>
<a href="https://f-droid.org/packages/de.niendo.ImapNotes3/"><img alt="F-Droid Version" src="https://img.shields.io/f-droid/v/de.niendo.ImapNotes3"></a>
</p>

ImapNotes3
==========

Android app to view, edit and synchronize HTML notes and check lists on your IMAP mailboxes.

### Screenshots

<img width="29%" style="border:5px"
src="https://github.com/niendo1/ImapNotes3/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png"/>
<img width="29%" style="border:5px"
src="https://github.com/niendo1/ImapNotes3/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png"/>
<img width="29%" style="border:5px"
src="https://github.com/niendo1/ImapNotes3/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png"/>
<img width="29%" style="border:5px"
src="https://github.com/niendo1/ImapNotes3/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png"/>
<img width="29%" style="border:5px"
src="https://github.com/niendo1/ImapNotes3/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/5.png"/>

### Features

* synchronize HTML notes between Android devices and IMAP servers.
* to be used with different IMAP servers (Gmail, Yahoo, AOL, Posteo and your server)
* HTML editor with lots of features
* create check lists
* full text search
* filter and organize your notes by #HashTags
* light and dark mode support
* color support for notes
* share your notes
* backup and restore your notes to/from a local zip archive
* notes are saved as standard HTML E-mails
* security can be plain text, SSL/TLS or STARTTLS
* multiple IMAP accounts and/or notepads can be managed
* works offline and sync is done in the background
* only a minimum on user permissions required
* open source - no tracker or advertising

### History

This project is a clone from https://github.com/nbenm/ImapNote2. It also uses some changes
from https://github.com/kwhitefoot/ImapNote2 and maybe others

Sync your notes between Android, iOs devices and different accounts like Gmail, iCloud and others

This project is a fork of "imapnote" one created by boemianrapsodi (boemianrapsody@gmail.com).
Probably Pasquale Boemio. Some things didn't work correctly but it was impossible to contact him to
correct these bugs.

Original app is named "imapnote", and is available at https://code.google.com/p/imapnote/, So I
decided to name this one "imapnote2". It is under the GPL v3 License, same as "imapnote"

It is based on Apple way to manage notes. They are stored in an imap folder named "Notes". imapnote
uses Gmail for syncing. As I use my own imap server, I have modified it to be used with any imap
server that respects Apple method. It has been tested with Gmail, iCloud (imap.mail.me.com),
Yahoo! (imap.mail.yahoo.com), AOL (imap.aol.com), posteo.de and of course my server. Even if not
still tested, it should work with others.

Main changes in ImapNotes3 are:

- uses a customized version of [RichEditor-Android](https://github.com/niendo1/richeditor-android)
  with a lot of new features
- developed with android studio 2023 and latest tool chain
- HTML Editor with tables, images, sections, check boxes and much more
- color support
- full text search
- sdk version 34
- sharing / receiving data
- notes are saved as standard HTML E-mails
- notes from posteo.de and gmail.com are working again

Main changes in ImapNote2 are :

- app can be used with other servers, not only gmail
- it's possible to open notes
- no permissions are needed by the app
- it works in landscape and portrait modes. Landscape is useful with some devices
- it's possible to delete notes (trash option on detail screen)
- it's possible to create new notes ("new note" option on list screen)
- it's possible to modify notes (change note on detail screen, then save it with disk icon)
- navigation uses ActionBar (minSdkVersion=14)
- even if not recommended, untrusted certificates can be used.
- imap port number can be chosen. 993 is no more the only one accepted
- security can be plain text, SSL/TLS or STARTTLS
- multiple accounts can be used. Android account manager is used
- works offline and sync is done in the background. Sync interval can be different for each account

### Download

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
alt="Get it on F-Droid"
height="80">](https://f-droid.org/packages/de.niendo.ImapNotes3/)

Or get the APK from the [Releases Section](https://github.com/niendo1/ImapNotes3/releases/latest).
